MoveApplicationAcrossQueuesRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: MoveApplicationAcrossQueuesRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class MoveApplicationAcrossQueuesRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.MoveApplicationAcrossQueuesRequestPBImpl

@Private @Unstable public class MoveApplicationAcrossQueuesRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveApplicationAcrossQueuesRequestPBImpl()`
  `MoveApplicationAcrossQueuesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.MoveApplicationAcrossQueuesRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.api.records.ApplicationId`
  `getApplicationId()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.MoveApplicationAcrossQueuesRequestProto`
  `getProto()`
  `String`
  `getTargetQueue()`
  `int`
  `hashCode()`
  `void`
  `setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId appId)`
  `void`
  `setTargetQueue(String queue)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MoveApplicationAcrossQueuesRequestPBImpl

    public MoveApplicationAcrossQueuesRequestPBImpl()

  - ### MoveApplicationAcrossQueuesRequestPBImpl

    public MoveApplicationAcrossQueuesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.MoveApplicationAcrossQueuesRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.MoveApplicationAcrossQueuesRequestProto getProto()

  - ### getApplicationId

    public org.apache.hadoop.yarn.api.records.ApplicationId getApplicationId()
    Specified by:
      `getApplicationId` in class `org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest`

  - ### setApplicationId

    public void setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId appId)
    Specified by:
      `setApplicationId` in class `org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest`

  - ### getTargetQueue

    public String getTargetQueue()
    Specified by:
      `getTargetQueue` in class `org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest`

  - ### setTargetQueue

    public void setTargetQueue(String queue)
    Specified by:
      `setTargetQueue` in class `org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`